BioEntry (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.BioEntry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio
Interface BioEntry

All Superinterfaces:
  Annotatable, Changeable, Comparable, RankedCrossRefable, RichAnnotatable

All Known Subinterfaces:
  RichSequence

All Known Implementing Classes:
  SimpleBioEntry, SimpleRichSequence, ThinRichSequence

    public interface BioEntry

extends RichAnnotatable, RankedCrossRefable, Comparable, Changeable

This class relates to the bioentry table in BioSQL. It holds everything you need to define a non-sequence bearing bioentry.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `BioEntryRelationship`

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`static ChangeType` | `COMMENT`
`static ChangeType` | `DESCRIPTION`
`static ChangeType` | `DIVISION`
`static ChangeType` | `IDENTIFIER`
`static ChangeType` | `RANKEDCROSSREF`
`static ChangeType` | `RANKEDDOCREF`
`static ChangeType` | `RELATIONS`
`static ChangeType` | `SEQVERSION`
`static ChangeType` | `TAXON`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`void` | `addComment(Comment comment)` Adds a comment instance to this bioentry.
`void` | `addRankedDocRef(RankedDocRef docref)` Adds a ranked docref instance to this bioentry.
`void` | `addRelationship(BioEntryRelationship relation)` Adds a relation instance to this bioentry.
`String` | `getAccession()` Returns the accession of this bioentry.
`Set` | `getComments()` Returns a set of all comments associated with this bioentry.
`String` | `getDescription()` Returns a description of this sequence.
`String` | `getDivision()` Returns the division of this bioentry.
`String` | `getIdentifier()` Returns the identifier of this bioentry.
`String` | `getName()` Returns the name of this bioentry.
`Namespace` | `getNamespace()` Returns the namespace of this bioentry.
`Set` | `getRankedDocRefs()` Returns a set of all bioentrydocrefs associated with this bioentry.
`Set` | `getRelationships()` Returns a set of all relationships associated with this bioentry.
`NCBITaxon` | `getTaxon()` Gets the taxon associated with this bioentry.
`int` | `getVersion()` Gets the version of this bioentry.
`void` | `removeComment(Comment comment)` Removes a comment instance from this bioentry.
`void` | `removeRankedDocRef(RankedDocRef docref)` Removes a ranked docref instance from this bioentry.
`void` | `removeRelationship(BioEntryRelationship relation)` Removes a relation instance from this bioentry.
`void` | `setDescription(String description)` Sets the description for this bioentry.
`void` | `setDivision(String division)` Sets the division of this bioentry.
`void` | `setIdentifier(String identifier)` Sets the identifier of this bioentry.
`void` | `setTaxon(NCBITaxon taxon)` Sets the taxon for this bioentry.

Methods inherited from interface org.biojavax.RichAnnotatable
`getNoteSet, setNoteSet`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from interface org.biojavax.RankedCrossRefable
`addRankedCrossRef, getRankedCrossRefs, removeRankedCrossRef, setRankedCrossRefs`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### IDENTIFIER

    static final ChangeType IDENTIFIER

### DESCRIPTION

    static final ChangeType DESCRIPTION

### DIVISION

    static final ChangeType DIVISION

### TAXON

    static final ChangeType TAXON

### SEQVERSION

    static final ChangeType SEQVERSION

### RANKEDCROSSREF

    static final ChangeType RANKEDCROSSREF

### RANKEDDOCREF

    static final ChangeType RANKEDDOCREF

### COMMENT

    static final ChangeType COMMENT

### RELATIONS

    static final ChangeType RELATIONS

Method Detail

### getNamespace

    Namespace getNamespace()

  Returns the namespace of this bioentry. The namespace is supposed to be an immutable property set by the constructor.

  Returns:
    the namespace of this bioentry.

### getName

    String getName()

  Returns the name of this bioentry. The name is supposed to be an immutable property set by the constructor.

  Returns:
    Value of property name.

### getAccession

    String getAccession()

  Returns the accession of this bioentry. The accession is supposed to be an immutable property set by the constructor.

  Returns:
    Value of property accession.

### getIdentifier

    String getIdentifier()

  Returns the identifier of this bioentry.

  Returns:
    Value of property identifier.

### setIdentifier

    void setIdentifier(String identifier)
                       throws ChangeVetoException

  Sets the identifier of this bioentry. Null is allowable.

  Parameters:
    `identifier` - New value of property identifier.
  Throws:
    `ChangeVetoException` - in case of objections.

### getDivision

    String getDivision()

  Returns the division of this bioentry. Division relates to a division of the parent namespace.

  Returns:
    Value of property division.

### setDivision

    void setDivision(String division)
                     throws ChangeVetoException

  Sets the division of this bioentry. Null is allowable.

  Parameters:
    `division` - New value of property division.
  Throws:
    `ChangeVetoException` - in case of objections.

### getDescription

    String getDescription()

  Returns a description of this sequence.

  Returns:
    Value of property description.

### setDescription

    void setDescription(String description)
                        throws ChangeVetoException

  Sets the description for this bioentry.

  Parameters:
    `description` - New value of property description.
  Throws:
    `ChangeVetoException` - in case of objections.

### getVersion

    int getVersion()

  Gets the version of this bioentry. Bioentries with no versions return 0. The version is supposed to be immutable and set only by the constructor.

  Returns:
    Value of property version.

### getTaxon

    NCBITaxon getTaxon()

  Gets the taxon associated with this bioentry. It may be null.

  Returns:
    Value of property taxon.

### setTaxon

    void setTaxon(NCBITaxon taxon)
                  throws ChangeVetoException

  Sets the taxon for this bioentry. It may be null, in which case the taxon is unset.

  Parameters:
    `taxon` - New value of property taxon.
  Throws:
    `ChangeVetoException` - in case of objections.

### getRankedDocRefs

    Set getRankedDocRefs()

  Returns a set of all bioentrydocrefs associated with this bioentry. This set is not mutable. If no docrefs are associated, you will get back an empty set.

  Returns:
    a set of RankedDocRef objects.
  See Also:
    `RankedDocRef`

### getComments

    Set getComments()

  Returns a set of all comments associated with this bioentry. This set is not mutable. If no comments are associated, you will get back an empty set.

  Returns:
    a set of Comment objects.
  See Also:
    `Comment`

### getRelationships

    Set getRelationships()

  Returns a set of all relationships associated with this bioentry. This set is not mutable. If no relationships are associated, you will get back an empty set.

  Returns:
    a set of BioEntryRelationship objects.
  See Also:
    `BioEntryRelationship`

### addRankedDocRef

    void addRankedDocRef(RankedDocRef docref)
                         throws ChangeVetoException

  Adds a ranked docref instance to this bioentry. Must not be null.

  Parameters:
    `docref` - the item to add.
  Throws:
    `ChangeVetoException` - if it doesn't want to add it.

### removeRankedDocRef

    void removeRankedDocRef(RankedDocRef docref)
                            throws ChangeVetoException

  Removes a ranked docref instance from this bioentry. If it was not found, nothing happens.

  Parameters:
    `docref` - the item to remove.
  Throws:
    `ChangeVetoException` - if it doesn't want to remove it.

### addComment

    void addComment(Comment comment)
                    throws ChangeVetoException

  Adds a comment instance to this bioentry. Must not be null.

  Parameters:
    `comment` - the item to add.
  Throws:
    `ChangeVetoException` - if it doesn't want to add it.

### removeComment

    void removeComment(Comment comment)
                       throws ChangeVetoException

  Removes a comment instance from this bioentry. If it wasn't present, it nothing will happen.

  Parameters:
    `comment` - the item to remove.
  Throws:
    `ChangeVetoException` - if it doesn't want to remove it.

### addRelationship

    void addRelationship(BioEntryRelationship relation)
                         throws ChangeVetoException

  Adds a relation instance to this bioentry. It must not be null.

  Parameters:
    `relation` - the item to add.
  Throws:
    `ChangeVetoException` - if it doesn't want to add it.

### removeRelationship

    void removeRelationship(BioEntryRelationship relation)
                            throws ChangeVetoException

  Removes a relation instance from this bioentry. If it wasn't present, nothing will happen.

  Parameters:
    `relation` - the item to remove.
  Throws:
    `ChangeVetoException` - if it doesn't want to remove it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD